# fn:document-uri

fn:document-uri(node $srcval) → string?

Function signature

$srcval | node()
Result | string ?

Returns the URI of a document

XPath 2.0 Specification

Note:The function is supported, though not strictly according to the spec. It is defined only for document nodes (as specified in the data model), and the URI returned is not guaranteed to be absolute, and is not guaranteed to be capable of retrieving the document using the document function (for example, a value is returned for a temporary tree).

Expand | Up Next